perl: warning: Please check that your locale settings:LANGUAGE

Dieses Thema im Forum "Installation und Konfiguration" wurde erstellt von mycrotrend, 24. Feb. 2012.

  1. mycrotrend

    mycrotrend Member

    Aus irgendeinen Grund kann ich keine deutschen Sprachpakete installieren.
    Die Sources List habe ich aktualisiert und auch ein apt-get update / upgrade durchgeführt. Es zeigt aber keine Wirkung. Ich bin schon seit Stunden am Googlen, komme aber auf keinen Grünen Zweig.

    Ich hoffe hier kann mir jemand helfen :)

    Code:
    root@web:/etc/apt# apt-get install language-pack-de
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    E: Unable to locate package language-pack-de
    Sources List

    Code:
    deb http://ftp.de.debian.org/debian/ squeeze main
    deb-src http://ftp.de.debian.org/debian/ squeeze main
    
    deb http://security.debian.org/ squeeze/updates main
    deb-src http://security.debian.org/ squeeze/updates main
    
    deb http://ftp.de.debian.org/debian/ squeeze-updates main
    deb-src http://ftp.de.debian.org/debian/ squeeze-updates main
    Code:
    dpkg-reconfigure locales
    -> de_DE ausgewählt.

    Code:
    root@web:/etc/apt# locale -a
    locale: Cannot set LC_CTYPE to default locale: No such file or directory
    locale: Cannot set LC_MESSAGES to default locale: No such file or directory
    locale: Cannot set LC_COLLATE to default locale: No such file or directory
    C
    POSIX
    en_US
    en_US.iso88591
    en_US.iso885915
    en_US.utf8
    Code:
    root@web:/etc/apt# locale
    locale: Cannot set LC_CTYPE to default locale: No such file or directory
    locale: Cannot set LC_MESSAGES to default locale: No such file or directory
    locale: Cannot set LC_ALL to default locale: No such file or directory
    LANG=de_DE.UTF-8
    LANGUAGE=
    LC_CTYPE="de_DE.UTF-8"
    LC_NUMERIC="de_DE.UTF-8"
    LC_TIME="de_DE.UTF-8"
    LC_COLLATE="de_DE.UTF-8"
    LC_MONETARY="de_DE.UTF-8"
    LC_MESSAGES="de_DE.UTF-8"
    LC_PAPER="de_DE.UTF-8"
    LC_NAME="de_DE.UTF-8"
    LC_ADDRESS="de_DE.UTF-8"
    LC_TELEPHONE="de_DE.UTF-8"
    LC_MEASUREMENT="de_DE.UTF-8"
    LC_IDENTIFICATION="de_DE.UTF-8"
    LC_ALL=
    
     
    Zuletzt bearbeitet: 24. Feb. 2012
  2. nowayback

    nowayback Well-Known Member

    Moinsen

    Code:
    locale-gen
    aufrufen und Problem sollte behoben sein, falls nicht installiert, dann hilft apt-get ;)

    Grüße
    nwb
     
  3. mycrotrend

    mycrotrend Member

    moin moin, dass hatte ich auch schon versucht.

    allerdings werden hier anscheinend die us sprachen verwendet

    Code:
    root@web:/etc/apt# locale-gen
    Generating locales (this might take a while)...
      en_US.ISO-8859-1... done
      en_US.ISO-8859-15... done
      en_US.UTF-8... done
     
  4. nowayback

    nowayback Well-Known Member

    Dann kannste ja mal

    Code:
    export LC_ALL="de_DE.UTF-8"
    testen. Danach nochmal locale-gen

    Grüße
     
  5. mycrotrend

    mycrotrend Member

    Code:
    root@web:/etc/apt# export LC_ALL="de_DE.UTF-8"
    bash: warning: setlocale: LC_ALL: cannot change locale (de_DE.UTF-8)
    Danke schonmal für deine Hilfe ;)
     
  6. nowayback

    nowayback Well-Known Member

    ->

    Code:
    locale-gen de_DE.UTF-8
    Grüße ;)
     

Diese Seite empfehlen